/*
 * Segment 2 (KEx), SWE LMS-TIC3
 * Copyright (C) 2016 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.lmstic3.empfang.dekoder;

import java.io.File;
import java.util.Collection;

import org.junit.Assert;
import org.junit.Test;

import de.bsvrz.kex.lmstic3.vew.daten.tic.TIC3MeldungsDaten;

/**
 * Testcase f&uuml;r das Einlesen von TIC-Info Dateien.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 */
public class TicDateiIT {

	/**
	 * Testmethode Einlesen Datei.
	 */
	@Test
	public void testGetDocument() {
		// URL dateiurl =
		// ClassLoader.getSystemResource("de/bsvrz/kex/lms/empfang/dekoder/TICMeldungen.xml");

		final String testdatei = "res/TIC3TestMeldung.XML";

		// Assert.assertTrue(dav.initDav());
		// final SystemObject lms =
		// dav.getDav().getDataModel().getObject("lmst.bw");

		try {
			final TIC3InfoDatei datei = new TIC3InfoDatei(new File(testdatei));

			// final MutableSet meldungsmenge = ((ConfigurationObject)
			// lms).getMutableSet("RDSMeldungen");
			//
			// final DataModel model = dav.getDav().getDataModel();
			// final ConfigurationArea area =
			// dav.getDav().getLocalConfigurationAuthority().getConfigurationArea();
			final TIC3InfoDateiDaten bildeMeldungen = datei.bildeMeldungen(false);

			final Collection<TIC3MeldungsDaten> meldungen = bildeMeldungen.getMeldungen();
			Assert.assertEquals(63, meldungen.size());
			// for (final RDSMeldungsDaten md : meldungen) {
			// final String pid = md.bildePid();
			// SystemObject so = model.getObject(pid);
			// if (so == null) {
			// System.out.println("neue Meldung " + pid + " wird angelegt");
			// so = area.createDynamicObject((DynamicObjectTypmee)
			// model.getType("typ.rdsMeldung"), pid, pid);
			// meldungsmenge.add(so);
			// }
			//
			// final RDSMeldung rdsmeldung = new RDSMeldung(so, md);
			// // md.setSystemobjekt(so);
			// rdsmeldung.publiziereDAV(dav.getDav());
			// }

		} catch (final Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

	}

}
